import:
  - recipe/laravel.php
  - deploy/pim.php

config:
  remote_user: root
  repository: 'git@213.108.31.43:/srv/git/cpsebs/ecoclima-pim.git'
  ssh_multiplexing: false
  keep_releases: 5

hosts:
  prod:
    hostname: pim.ecoclima.com
    deploy_path: '/var/www/vhosts/ecoclima.com/pim.ecoclima.com'
    branch: 'master'

tasks:
  deploy:
    - deploy:prepare
    - deploy:vendors
    - artisan:storage:link
    - artisan:view:cache
    - artisan:config:cache
    - artisan:migrate
    - artisan:tenants:migrate
    - deploy:publish
    - artisan:config:clear

after:
  deploy:failed: deploy:unlock
